问题标记(编译)

有关从源代码处编译软件的问题,通常使用“make”命令。

2375个问题
通过过滤
贴上
1
投票
1回答
26日视图

如何在CMAKE_PREFIX_PATH中添加“Qt5QmlModels”安装前缀

/usr/lib/x86_64-linux-gnu/ CMake /Qt5/Qt5Configcmake:28 (find_package): Could not find a package configuration file provided by "Qt5QmlModels" with any of the following ...
0
0答案
21日视图

WSL2上Cloudy的make命令出错

我使用的是WSL2 (windows子系统Linux)和Ubuntu 20.04 LTS。我想使用Cloudy包,一个基于Linux的模拟工具https://gitlab.nublado.org/cloudy/cloudy我已经安装了包…
0
0答案
24日视图

从路由表中删除自私节点[关闭]

当我在MANET中检测到自私节点后,我现在想把它从路由表中删除。我使用了这段代码并得到了这些错误,我如何解决这些错误,以及代码的位置是否正确……
-1
0答案
51的观点

Ubuntu上有什么工具可以自动修复包依赖吗?(复制)

我没有root或sudo权限在我使用的机器上,所以我试图找到在我的用户空间安装包的方法,下载deb文件并提取它。比方说我…
-2
0答案
27日视图

TL822N驱动出错[closed]

HP-15-Notebook-PC:~/rtl8192EU_WiFi_linux_v5.2.19.1_25633.20171222_COEX20171113-0047$ make make ARCH=x86_64 CROSS_COMPILE= -C /lib/modules/5.11.0-38-generic/build M=/home/xyu/rtl8192EU_WiFi_linux_v5.2....
0
1回答
19日视图

安装Rasqal RDF查询库时,make命令出错

安装Rasqal RDF查询库,在文档中提取软件包。./configure命令:(base) sohail@muhammad-sohail:~/Documents/rasqal$ ./configure checking for a BSD-compatible install... ...
-1
1回答
63个视图

添加模块的问题

你好,我必须在Ubuntu-20.04.3上做一些工作,pdf指南告诉我使用“模块添加miniconda/3”和“模块添加gcc/10.2.0”来设置环境。然后我必须用…
1
投票
2答案
79的浏览量

从源代码编译程序

我有一个关于软件包和在Ubuntu中构建程序的可能性的基本问题。具体来说:我使用的是Ubuntu 18.04.6 LTS。假设我想从源头建立Okular有…
0
0答案
37的观点

不一致的CUDA工具包路径/usr和/usr/lib, tensorflow build from source

当我使用默认的tensorflow构建时,我得到了非法的指令核心转储错误。根据我的研究https://stackoverflow.com/questions/60858317/how-to-fix-illegal-instruction-core-dumped & ...
0
0答案
35的观点

如何编译glibc(32位和64位)?

我有一个用于多个Linux平台的程序,它要求所有的引用都在可执行文件中进行编译。我想它们需要被汇编,…
0
0答案
27日视图

我尝试从源头构建Wine和Wine64,但只有一个出现了

操作系统信息:Ubuntu 21.10 (Impish),试图从源代码(WoW64 'shared'版本)安装Wine 6.20更具体地说,它显示Wine(32位)安装成功,但当我尝试……
0
0答案
11的观点

do_fetch: Fetcher失败:Unable to find file file://main.cpp anywhere

I'm new in yocto project and I just want to add a helloworld.cpp to existing layer meta-app I create a simple server application and create recipes-test/ directory in meta-app and that's what I…
0
0答案
67的浏览量

Cmake找不到gcc编译器

我有Ubuntu 18.04.6 LTS,我正在尝试安装和运行gcc v8 (v7版本是默认的)。我做了:sudo apt-get install build-essential sudo apt-get install gcc-8
0
1回答
36的观点

我在docker上运行以下命令,它显示以下错误,如何摆脱这个?

我在docker上运行以下命令,得到了下面的错误。我该如何解决这个问题?FROM compiler-common AS compi ENV DEBIAN_FRONTEND=nonintera RUN apt-get install -y——no-i git-core \ checkinstall \…
0
0答案
27日视图

如何调试基于Makefile的项目在任何IDE在Linux环境

我正在编译和调试Gpg4win在linux (ubuntu)环境的源代码。我成功地构建项目使用控制台终端使用简单的命令像:./autogen ./config make install…

15 30. 50 每个页面
1
2 3. 4 5
...
159
Baidu